## Obtener codigos promocionales [/codigoCupon/getAllCodigoCupon]

### getAllCodigoCupon [POST]
    Devuelve una lista de cupones

+ Request Ejemplo

    + Body
        {
            "idEmpresa": "001"
        }

+ Response 200 (application/json)
    + Relation: 200: OK

    + Body 
    {
        "error": false,
        "result": [
            {
             "id": "00000001",
             "codigo": "SV00001",
             "cupon_de_descuento": "Cupón 5% de descuento",
             "fecha_inicio": "2023-04-01",
             "fecha_fin": "2023-04-30",
             "id_usuario_viajero": "00000001",
             "empresa": "Laboratorios Miramontes, Ceballos y Córdova - Van Compartida",
             "activo": 1
            },
            {
              "id": "00000002",
              "codigo": "SV00002",
              "cupon_de_descuento": "Cupón 5% de descuento",
              "fecha_inicio": "2023-04-01",
              "fecha_fin": "2023-04-30",
              "id_usuario_viajero": "00000001",
              "empresa": "Laboratorios Miramontes, Ceballos y Córdova - Van Compartida",
              "activo": 1
             },
             {
              "id": "00000003",
              "codigo": "SV00003",
              "cupon_de_descuento": "Cupón 5% de descuento",
              "fecha_inicio": "2023-04-01",
              "fecha_fin": "2023-04-30",
              "id_usuario_viajero": "00000001",
              "empresa": "Laboratorios Miramontes, Ceballos y Córdova - Van Compartida",
              "activo": 1
             }
        ]
    }

+ Response 201 (application/json)
    + Relation: 201: no-data-found

    + Body
    {
        "error": {
            "code": 201,
            "message": "Sin datos"
        },
        "result": false
    }

+ Response 501 (application/json)
    + Relation: 501: Error-database

    + Body
    {
        "error": {
          "code": 501,
          "mensaje": "Error de base de datos",
          "cause": "$ el mensaje de error que regrese la base de datos"
        },
        "result": false
    }

+ Response 502 (application/json)
    + Relation: 502: Error-server
    
    + Body 
    {
        "error": {
            "code": 502,
            "mensaje": "Error de Servidor",
            "cause": "$ el mensaje de error o el printStackTrace que regresa el servidor o el API"
        },
        "result": false
    }